#pragma once
#include "Entity.h"
#include "EntityStateGravity.h"
#include "EntityStateResist.h"
#include "EntityStateSplash.h"
#define CS_EXPTOHEALTH_CREATENAME L"CS_exptohealth"
//¾­ÑéÎüÊÕµã
class CS_ExpToHealth :
    public Entity
{
public:
    CS_ExpToHealth();
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    EntityStateGravity stateGravity;
    EntityStateResist stateResist;
    EntityStateSplash stateSplash;
    int act_no = 0;
    int act_wait = 0;
    int ani_wait = 0;
};

std::shared_ptr<Entity> CreateCS_ExpToHealth();